Attribute VB_Name = "Declares"
'// Programmed by Ervin Louie B. Pe Benito
'// declares.bas
Option Explicit
Public Declare Function GetTickCount Lib "kernel32" () As Long '//This is used to get the frame rate.

Public lSkillPoints As Long
Public GameMapScreenX As Long
Public GameMapScreenY As Long
Public GameMapScreenHeight As Long
Public GameMapScreenWidth As Long

Public bMoving As Boolean
Public iLastStage As Integer
Public HelpMsg As String
Public LevelMsg(1 To 23) As String
Public TitleMsg(1 To 2) As String
Public AuthByMsg(1 To 2) As String
Public IntroMsg(1 To 3) As String
Public LastStory(1) As String
Public bDevMode As Boolean
Public bDeleted As Boolean
Global Const Attack = 1
Global Const Useitem = 2

Public Function SetGameMapScreen(lvalX As Long, lvalY As Long, lScreenwidth As Long, lScreenheight As Long)
    GameMapScreenX = lvalX
    GameMapScreenY = lvalY
    GameMapScreenWidth = lScreenwidth
    GameMapScreenHeight = lScreenheight
End Function

Public Sub OpenHelpFile()
Dim lfile As Long
    lfile = FreeFile
    Open App.Path & "\help.txt" For Input As lfile
        Line Input #lfile, HelpMsg
    Close #lfile
End Sub

Public Sub GetWordsfrmFile()
Dim lfile As Long
Dim temp As String
Dim iNumMsg As Integer
Dim iNum As Integer
    iNum = 1
    lfile = FreeFile
    Open App.Path & "\Words.txt" For Input As lfile
        For iNumMsg = 1 To 23
            Line Input #lfile, temp
            If RTrim(temp) = "****" Then
                Line Input #lfile, TitleMsg(iNum)
                Line Input #lfile, AuthByMsg(iNum)
                Line Input #lfile, LevelMsg(iNumMsg)
                iNum = iNum + 1
            Else
                LevelMsg(iNumMsg) = temp
            End If
        Next
    Close #lfile
End Sub
Public Sub GetIntroFrmFile()
Dim lfile As Long
    lfile = FreeFile
    Open App.Path & "\Story.txt" For Input As lfile
        Line Input #lfile, IntroMsg(1)
        Line Input #lfile, IntroMsg(2)
        Line Input #lfile, IntroMsg(3)
    Close #lfile
    LastStory(0) = "You have freed your town against the Spanish corruption! Ka Andres, the Supremo, were very proud of you as he have spoken your heroism to the townsfolk of your town. After a month, General Aguinaldo has taken over your town, he then revealed to you that the Supremo has been prosecuted."
End Sub



